'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  const prefix = '/api/role/auth';
  router.get('menu', `${prefix}/menu/project/:project`, controller.menu.findProject);
  router.resources('menu', `${prefix}/menu`, controller.menu); // index、create、show、destroy
  router.post('menu', `${prefix}/menu/update/:id`, controller.menu.update);
};
