'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  const prefix = '/api/role/auth';
  router.resources('user', `${prefix}/user`, controller.user.user); // index、create、show、destroy
  router.post('user', `${prefix}/user/update/:id`, controller.user.user.update);
};
